Page MenuHomePhabricator

Timeless uses words instead of a heart for wikilove
Closed, ResolvedPublic

Description

reporting someone else mentioned in my hearing

On vector, wikilove is a heart. On timeless its the word "wikilove".

Probably doesn't matter much

Event Timeline

Bawolff created this task.Aug 12 2017, 8:18 PM
Isarra moved this task from Backlog to Compatibility on the Timeless board.Aug 12 2017, 9:47 PM
Legoktm added a subscriber: Legoktm.
	private static function showIcon( $skin ) {
		global $wgWikiLoveTabIcon;
		return $wgWikiLoveTabIcon && $skin->getSkinName() == 'vector';
	}
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 13 2017, 9:30 PM

I kind of feel like however this is done for Vector, it'll need to be done differently for Timeless... probably should move that code to Vector and redo it in Timeless.

That's what happens if you enable the current code on Timeless without fixing it.

Change 379967 had a related patch set uploaded (by Jack Phoenix; owner: Jack Phoenix):
[mediawiki/skins/Timeless@master] [WIP/DNM] WikiLove heart icon support

https://gerrit.wikimedia.org/r/379967

Catrope moved this task from Inbox to External on the Growth-Team board.Jul 31 2019, 1:59 AM

Change 531533 had a related patch set uploaded (by Isarra; owner: Isarra):
[mediawiki/extensions/WikiLove@master] Use skinstyles to apply vector icon css to vector only

https://gerrit.wikimedia.org/r/531533

Change 379967 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Add custom WikiLove heart icon

https://gerrit.wikimedia.org/r/379967

Change 531533 merged by jenkins-bot:
[mediawiki/extensions/WikiLove@master] Use skinstyles to apply vector icon css to vector only

https://gerrit.wikimedia.org/r/531533

Isarra closed this task as Resolved.Aug 26 2019, 1:29 AM
Isarra claimed this task.
Izno added a comment.Sep 3 2019, 5:54 PM

@Isarra You might want to put the word back in wide mode.